searchNodes=[{"doc":"Extends the Ecto DSL for easily working with TimescaleDB . Already using Ecto and Postgres ? Great, you're all set to start working with time-series data. Features Easy creation of hypertables in Ecto Migrations Leverage TimescaleDB hyperfunctions right inside your Ecto queries Configure table compression policies Adding the TimescaleDB extension Make sure your database has Timescale correctly installed Create a new Ecto migration Call the add_timescaledb_extension/0 and drop_timescaledb_extension/0 in your migration E.g. defmodule MyApp.Repo.Migrations.SetupTimescale do use Ecto.Migration import Timescale.Migration def up do add_timescaledb_extension ( ) end def down do drop_timescaledb_extension ( ) end end Installation If available in Hex , the package can be installed by adding timescale to your list of dependencies in mix.exs : def deps do [ { :timescale , &quot;~&gt; 0.1.0&quot; } ] end Built by Bitfo Installing Postgres / TimescaleDB on MacOS There are many ways to install PostgreSQL locally, including Postgres.app , Docker , and building locally. Below is how to install through Homebrew First, install Postgres $ brew install postgresql $ sudo chown $(whoami) /usr/local/var/postgres $ initdb /usrl/local/var/postgres $ createuser -s postgres $ createdb Make Postgres a service that is started automatically $ brew services start postgresql Then install Timescaledb $ brew tap timescaledb/tap $ brew install timescaledb # Add the following to `/opt/homebrew/var/postgres/postgresql.conf` shared_preload_libraries = &#39;timescaledb&#39;","ref":"Timescale.html","title":"Timescale","type":"module"},{"doc":"Timescale hyperfunctions are a specialized set of functions that allow you to analyze time-series data. You can use hyperfunctions to analyze anything you have stored as time-series data, including IoT devices, IT systems, marketing analytics, user behavior, financial metrics, and cryptocurrency. Documentation","ref":"Timescale.Hyperfunctions.html","title":"Timescale.Hyperfunctions","type":"module"},{"doc":"The first aggregate allows you to get the value of one column as ordered by another. For example, first(temperature, time) returns the earliest temperature value based on time within an aggregate group. Documentation","ref":"Timescale.Hyperfunctions.html#first/2","title":"Timescale.Hyperfunctions.first/2","type":"macro"},{"doc":"The histogram function represents the distribution of a set of values as an array of equal-width buckets. It partitions the dataset into a specified number of buckets (nbuckets) ranging from the inputted min and max values. The return value is an array containing nbuckets+2 buckets, with the middle nbuckets bins for values in the stated range, the first bucket at the head of the array for values under the lower min bound, and the last bucket for values greater than or equal to the max bound. Each bucket is inclusive on its lower bound, and exclusive on its upper bound. Therefore, values equal to the min are included in the bucket starting with min, but values equal to the max are in the last bucket. Documentation","ref":"Timescale.Hyperfunctions.html#histogram/4","title":"Timescale.Hyperfunctions.histogram/4","type":"macro"},{"doc":"The last aggregate allows you to get the value of one column as ordered by another. For example, last(temperature, time) returns the latest temperature value based on time within an aggregate group. Documentation","ref":"Timescale.Hyperfunctions.html#last/2","title":"Timescale.Hyperfunctions.last/2","type":"macro"},{"doc":"Allows you to aggregate results into arbitrary time buckets. You can group by seconds, minutes, hours, days and also weeks. For example, time_bucket(timestamp, &quot;5 minutes&quot;) would allow you to group results into 5 minute buckets. This function also accepts the following optional parameters (passed in as a keyword list): :offset : The time interval used to offset all of the timebuckets by. (Postgres type: INTERVAL ) :origin : The timestamp used to align all of the time buckets. (Postgres type: TIMESTAMP ) Documentation","ref":"Timescale.Hyperfunctions.html#time_bucket/3","title":"Timescale.Hyperfunctions.time_bucket/3","type":"macro"},{"doc":"This experimental TimescaleDB function works identically to time_bucket/2 with the added benefit that you can aggregate by month, year or timezone. For example, time_bucket_ng(timestamp, &quot;5 years&quot;) would allow you to group results into 5 year buckets. :origin : The timestamp used to align all of the time buckets. (Postgres type: DATE , TIMESTAMP , or TIMESTAMPZ ) :timezone : The name of the timezone. (Postgres type: TEXT ) Documentation","ref":"Timescale.Hyperfunctions.html#time_bucket_ng/3","title":"Timescale.Hyperfunctions.time_bucket_ng/3","type":"macro"},{"doc":"This module provides helpers for installing TimescaleDB, as well as creating, modifying, and configuring Timescale resources.","ref":"Timescale.Migration.html","title":"Timescale.Migration","type":"module"},{"doc":"Adds a compression policy to a hypertable using the add_compression_policy function","ref":"Timescale.Migration.html#add_compression_policy/2","title":"Timescale.Migration.add_compression_policy/2","type":"macro"},{"doc":"Creates a new hypertable in an Ecto Migration. create_hypertable ( :conditions , :time )","ref":"Timescale.Migration.html#create_hypertable/3","title":"Timescale.Migration.create_hypertable/3","type":"macro"},{"doc":"Adds TimescaleDB as a Postgres extension","ref":"Timescale.Migration.html#create_timescaledb_extension/0","title":"Timescale.Migration.create_timescaledb_extension/0","type":"macro"},{"doc":"Drops TimescaleDB as a Postgres extension","ref":"Timescale.Migration.html#drop_timescaledb_extension/0","title":"Timescale.Migration.drop_timescaledb_extension/0","type":"macro"},{"doc":"Enables compression on an existing hypertable See the ALTER TABLE (Compression) documentation","ref":"Timescale.Migration.html#enable_hypertable_compression/2","title":"Timescale.Migration.enable_hypertable_compression/2","type":"macro"},{"doc":"Raised at compilation time when the query contains operation TimescaleDB arguments that are not supported by the provided function.","ref":"Timescale.OptionalArgError.html","title":"Timescale.OptionalArgError","type":"exception"}]